robots.c(3)

NAME
robots.c - Robots Exclusion file parser.

SYNOPSIS

#include <config.h>
#include <string.h>
#include <ctype.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct wget_robots_st

  Functions
int wget_robots_parse (wget_robots **_robots, const char *data, const char *client)
void wget_robots_free (wget_robots **robots)
int wget_robots_get_path_count (wget_robots *robots)
wget_string * wget_robots_get_path (wget_robots *robots, int index)
int wget_robots_get_sitemap_count (wget_robots *robots)
const char * wget_robots_get_sitemap (wget_robots *robots, int index)

Detailed Description

Robots Exclusion file parser.

Author

Generated automatically by Doxygen for wget2 from the source code.